cURL
curl --request GET \ --url https://api.quiva.ai/hub/integrations/oauth-connections \ --header 'Authorization: Bearer <token>'
{ "results": [ { "access_token": "eyJhbGciOiJSUzI1Ni...", "token_type": "Bearer", "refresh_token": "xoxr-123456789012-refresh-token", "expiry": "2025-06-15T14:30:00.000000+00:00", "expires_in": 43200, "sequence": 42, "subject": "ms.integration.oauth.AC75JGNMJHTRQNXCBDMIAJCJ57HAEWP2RGWXJCIFFGW2K64OKG267A2D.slack.workspace1", "modified": 1749912600 }, { "access_token": "eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9...", "token_type": "Bearer", "refresh_token": "ulpL_xero_refresh_token_abc123", "expiry": "2025-06-15T15:00:00.000000+00:00", "expires_in": 1800, "sequence": 85, "subject": "ms.integration.oauth.AC75JGNMJHTRQNXCBDMIAJCJ57HAEWP2RGWXJCIFFGW2K64OKG267A2D.xero.demo", "modified": 1749914400 }, { "access_token": "eyJhbGciOiJSUzI1Ni...", "token_type": "Bearer", "expiry": "2025-12-31T23:59:59.000000+00:00", "expires_in": 31536000, "sequence": 12, "subject": "ms.integration.oauth.AC75JGNMJHTRQNXCBDMIAJCJ57HAEWP2RGWXJCIFFGW2K64OKG267A2D.github.personal", "modified": 1749900000 } ], "results_total": 3 }
Get list of OAuth connections for the authenticated user
Documentation IndexFetch the complete documentation index at: https://docs.quiva.ai/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.quiva.ai/llms.txt
Use this file to discover all available pages before exploring further.
JWT Authorization header using the Bearer scheme
List of OAuth connections
Show child attributes
2